curl --request POST \
--url https://api.omniall.ai/v1/video/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "omniall-desub-1",
"prompt": "remove subtitles",
"video_url": "https://cdn.example.com/input.mp4",
"duration": 16
}
'{
"id": "task_xxx",
"task_id": "task_xxx",
"status": "processing",
"model": "omniall-desub-1"
}Subtitle / watermark
Create subtitle / watermark removal
Create an async desub / watermark-removal task.
Path: POST https://api.omniall.ai/v1/video/generations (also POST /v1/videos)
- Auto subtitle removal: omit
videoName - Region subtitle / watermark: set
videoNametox1_y1_x2_y2(true video pixels)
Poll every 5–10s. On success download result_url / video_url promptly.
Billing: per second via duration / seconds (range 1–600). If omitted, billed as 10 seconds.
Auth: Authorization: Bearer sk-...
POST
/
v1
/
video
/
generations
curl --request POST \
--url https://api.omniall.ai/v1/video/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "omniall-desub-1",
"prompt": "remove subtitles",
"video_url": "https://cdn.example.com/input.mp4",
"duration": 16
}
'{
"id": "task_xxx",
"task_id": "task_xxx",
"status": "processing",
"model": "omniall-desub-1"
}Body
application/json